curl -X GET "https://app.usatimbre.com/api/timbre/get-profile?rfc=XAXX010101000" \
-H "Authorization: Bearer tmb_your_api_key_here"
const response = await fetch('https://app.usatimbre.com/api/timbre/get-profile?rfc=XAXX010101000', {
headers: {
'Authorization': 'Bearer tmb_your_api_key_here'
}
});
const profile = await response.json();
import requests
response = requests.get(
'https://app.usatimbre.com/api/timbre/get-profile',
params={'rfc': 'XAXX010101000'},
headers={'Authorization': 'Bearer tmb_your_api_key_here'}
)
profile = response.json()
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Juan Pérez",
"email": "juan@example.com",
"phone_number": "+525512345678",
"tax_id": "XAXX010101000",
"org_id": "org_123456",
"credits_remaining": 50
}
{
"error": "Not Found",
"message": "Profile not found"
}
API Timbre (Facturas)
Get Profile by RFC
Get profile information by RFC
GET
/
api
/
timbre
/
get-profile
curl -X GET "https://app.usatimbre.com/api/timbre/get-profile?rfc=XAXX010101000" \
-H "Authorization: Bearer tmb_your_api_key_here"
const response = await fetch('https://app.usatimbre.com/api/timbre/get-profile?rfc=XAXX010101000', {
headers: {
'Authorization': 'Bearer tmb_your_api_key_here'
}
});
const profile = await response.json();
import requests
response = requests.get(
'https://app.usatimbre.com/api/timbre/get-profile',
params={'rfc': 'XAXX010101000'},
headers={'Authorization': 'Bearer tmb_your_api_key_here'}
)
profile = response.json()
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Juan Pérez",
"email": "juan@example.com",
"phone_number": "+525512345678",
"tax_id": "XAXX010101000",
"org_id": "org_123456",
"credits_remaining": 50
}
{
"error": "Not Found",
"message": "Profile not found"
}
Overview
Retrieve profile information using the RFC (Registro Federal de Contribuyentes) as a query parameter.Query Parameters
string
required
The RFC (Mexican tax ID) of the profile to retrieve. Example:
XAXX010101000Response
string
Unique profile identifier (UUID)
string
Profile name
string
Email address
string
Phone number
string
RFC (Mexican tax ID)
string
Organization ID the profile belongs to
number
Number of invoice credits remaining
curl -X GET "https://app.usatimbre.com/api/timbre/get-profile?rfc=XAXX010101000" \
-H "Authorization: Bearer tmb_your_api_key_here"
const response = await fetch('https://app.usatimbre.com/api/timbre/get-profile?rfc=XAXX010101000', {
headers: {
'Authorization': 'Bearer tmb_your_api_key_here'
}
});
const profile = await response.json();
import requests
response = requests.get(
'https://app.usatimbre.com/api/timbre/get-profile',
params={'rfc': 'XAXX010101000'},
headers={'Authorization': 'Bearer tmb_your_api_key_here'}
)
profile = response.json()
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Juan Pérez",
"email": "juan@example.com",
"phone_number": "+525512345678",
"tax_id": "XAXX010101000",
"org_id": "org_123456",
"credits_remaining": 50
}
{
"error": "Not Found",
"message": "Profile not found"
}